
QGIS Application - Bug report #7905

unset keyboard shortcuts are not remembered

2013-05-26 02:34 AM - Kai Borgolte

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16777

Description

When in keyboard shortcut dialog I delete a shortcut (german: "Keins setzen"), after QGIS restart the default setting is restored.

Associated revisions

Revision 111393e0 - 2015-12-07 09:50 PM - Sebastian Dietrich 

respect shortcuts set to none (fixes #7905)

Shortcuts, that have been set to none by the user, are no longer restored to their default value on application startup.

Revision aedcf3a7 - 2015-12-13 09:49 AM - Nyall Dawson

Merge pull request #2551 from SebDieBln/RestoreEmtpyShortcuts

Do not reapply default value to shortcuts that are set to "none" (fixes #7905)

History

#1 - 2013-11-27 02:36 PM - Borys Jurgiel

- Operating System deleted (Windows)

Confirmed. Unset shortcuts are restored to default values.

#2 - 2015-12-07 12:21 PM - Sebastian Dietrich

Confirmed in master (commit:6035d98b4a2669616a0122c0c94dfbd87770164b).

Intersting though:

The Save... and Load... functions of the shortcut configuration dialog work as intended with unset shortcuts.

#3 - 2015-12-07 01:08 PM - Sebastian Dietrich

See PR 2551 for a solution.

#4 - 2015-12-13 12:50 AM - Nyall Dawson

2024-03-13 1/2

https://github.com/qgis/QGIS/pull/2551


- Status changed from Open to Closed

Fixed in changeset commit:"aedcf3a76b6690a167dbf62f82699f240d2aa63b".
